play.data.validation

## Class Validation.ValidationResult

- java.lang.Object
- - play.data.validation.Validation.ValidationResult

Enclosing class:
  Validation

    public static class Validation.ValidationResult
    extends java.lang.Object

### Field Summary

Fields
`Error` `error`
`boolean` `ok`

### Constructor Summary

Constructors
Constructor and Description
`ValidationResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Validation.ValidationResult` `key(java.lang.String key)`
`Validation.ValidationResult` `message(java.lang.String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ok

    public boolean ok

#### error

    public Error error

### Constructor Detail

#### ValidationResult

    public ValidationResult()

### Method Detail

#### message

    public Validation.ValidationResult message(java.lang.String message)

#### key

    public Validation.ValidationResult key(java.lang.String key)